<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('onhand-date') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left:351px">
          <router-link to="menustock"><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{ i18ntext.lngText('onhand-date') }}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ stockcount }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                  <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                  {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                    {{ count_expire }} {{ i18ntext.lngText('item') }}
                  </span>
                </a>
              </router-link>

            </div>
            <div id="right" style="">
              <a class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
                style="float: right; color: #f8f5b4;margin-top: -2px;margin-right: 11px; width:79px">
                <i class="fas fa-plus" style="padding-right: 5px"></i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a  class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                    data-bs-target="#staticboomId" tabindex="10028">
                    <i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText('print') }}
                  </a>
                </li>
                <!-- <li>
                                    <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticBackdropss"
                                        tabindex="10028" href="#">
                                        <i class="fas fa-file-excel"></i> To Excel
                                    </a>
                                </li> -->
              </ul>
            </div>
          </div>
          <div class="box">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th colspan="2" style="width:35em">
                    <input autocomplete="off" id="search" name="search" @change="changeSearchText('product')" @input="getExpire()"
                      type="search" class="text" style="width:100%" placeholder="Search" v-model="search.product_no" />
                  </th>
                  <th style="width:12em">
                    <input autocomplete="off" id="search" @change="changeSearchText('mos')" @input="getExpire()" name="search" type="search"
                      class="text" style="width:100%" placeholder="Search" v-model="search.mos" />
                  </th>
                  <th style="width:12em"> <input autocomplete="off" id="search" @change="changeSearchText('amc')" @input="getExpire()"
                      name="search" type="search" class="text" style="width:100%" placeholder="Search"
                      v-model="search.amc_amount" /></th>
                  <th colspan="2"></th>
                  <th>
                    <input autocomplete="off" id="search" @change="changeSearchText('stock_aoumt')" @input="getExpire()" name="search"
                      type="search" class="text" style="width:100%" placeholder="Search" v-model="search.stock_aoumt" />
                  </th>
                  <th class="exp">
                    <div>
                      <span>
                        <input autocomplete="off" id="search" @change="changeSearchText('startDate')" name="search" type="date" class="text"
                          placeholder="Search" style="margin-right:0 !important; width: 86px;"
                          v-model="search.startDate" />
                      </span>
                      <span style="margin:0 3px;">To</span>
                      <span>
                        <input autocomplete="off" id="search" @change="changeSearchText('endDate')" name="search" type="date" class="text"
                          placeholder="Search" style="margin-right:0 !important; width: 86px;" v-model="search.endDate" />
                      </span>
                    </div>
                  </th>
                  <th class="exp">
                    <div>
                      <span>
                        <input autocomplete="off" id="search" @change="changeSearchText('startEx')" name="search" type="date" class="text"
                          placeholder="Search" style="margin-right:0 !important; width: 86px;" v-model="search.startEx" />
                      </span>
                      <span style="margin:0 3px;">To</span>
                      <span>
                        <input autocomplete="off" id="search" @change="changeSearchText('endEx')" name="search" type="date" class="text"
                          placeholder="Search" style="margin-right:0 !important; width: 86px;" v-model="search.endEx" />
                      </span>
                    </div>
                  </th>
                </tr>
                <tr class="header-table">
                  <th width="10%">{{ i18ntext.lngText('pro-no') }}</th>
                  <th style="min-width: 35%;">{{ i18ntext.lngText('description') }}</th>
                  <th width="10%">{{ i18ntext.lngText('mos') }}</th>
                  <th width="10%">{{ i18ntext.lngText('amc') }}</th>
                  <th style="width: 7%;">
                    {{ i18ntext.lngText('price') }}
                  </th>
                  <th style="width: 10%;">
                    {{ i18ntext.lngText('onhand') }}
                  </th>
                  <th style="width: 10%;">{{ i18ntext.lngText('amount') }}</th>
                  <th width="7%">{{ i18ntext.lngText('import-date') }}</th>
                  <th width="7%">{{ i18ntext.lngText('expire') }}</th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(exp, index) in allStocks.data" :key="index">
                  <td>{{ exp.product_no }}</td>
                  <td>{{ exp.description }}</td>
                  <td style="text-align: right;">
                    {{ formatPrice(exp.mos) }}

                  </td>
                  <td style="text-align: right;">
                    {{ formatPrice(exp.amc_inventery) }}
                    <span style="padding-left: 3px !important;color: blue;">
                      {{ exp.stock_uint }}
                    </span>
                  </td>
                  <td style="text-align: right;">
                    {{ formatPrice(exp.unit_price) }}
                    <span v-if="exp.curency_code == 'USD'">$</span>
                    <span v-else>៛</span>
                  </td>
                  <td style="text-align: right;">
                    {{ formatPrice(exp.stock_onhand) }}
                    <span style="padding-left: 3px !important;color: blue;">
                      {{ exp.stock_uint }}
                    </span>
                  </td>
                  <td style="text-align: right;">
                    {{ formatPrice(exp.stock_aoumt) }}
                    <span v-if="exp.curency_code == 'USD'">$</span>
                    <span v-else>៛</span>
                  </td>
                  <td style="text-align: right;">
                    {{ formatdatetime(exp.created_at) }}
                  </td>
                  <td style="text-align: right;">
                    {{ formatdatetime(exp.exprit_date) }}
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="box-footer-pagination">
              <pagination :limit="2" :data="allStocks" @pagination-change-page="getExpire" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog" style="max-width: 85% !important;">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content">
          <div class="card">
            <div class="card-body  print-size">
              <div class="mt-3" id="purchaseorder" style="height: auto !important;">
                <div style="padding:0 50px 0 50px; background-color: #fff;">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('expire-rep') }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%;">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{
                        company.company_name }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{
                        company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{
                        company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span
                          id="fon">{{
                            company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('onhand-total') }}</p>
                      <p class="text-center p-mg" id="fon">{{ printData.length }}</p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('pro-no') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('description') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('mos') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('amc') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('price') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('onhand') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('amount') }}</th>
                          <th style="padding-left: 5px !important;">{{ i18ntext.lngText('expire') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(exp, index) in printData" :key="index">
                          <td>{{ exp.product_no }}</td>
                          <td>{{ exp.description }}</td>
                          <td style="text-align: right;">
                            {{ formatPrice(exp.mos) }}

                          </td>
                          <td style="text-align: right;">
                            {{ formatPrice(exp.amc_inventery) }}
                            <span style="padding-left: 3px !important;color: blue;">
                              {{ exp.stock_uint }}
                            </span>
                          </td>
                          <td style="text-align: right;">
                            {{ formatPrice(exp.unit_price) }}
                            <span v-if="exp.curency_code == 'USD'">$</span>
                            <span v-else>៛</span>
                          </td>
                          <td style="text-align: right;">
                            {{ formatPrice(exp.stock_onhand) }}
                            <span style="padding-left: 3px !important;color: blue;">
                              {{ exp.stock_uint }}
                            </span>
                          </td>
                          <td style="text-align: right;">
                            {{ formatPrice(exp.stock_aoumt) }}
                            <span v-if="exp.curency_code == 'USD'">$</span>
                            <span v-else>៛</span>
                          </td>
                          <td style="text-align: right;">
                            {{ formatdatetime(exp.exprit_date) }}
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <span class="price-bold float-right" style="margin-top: 2rem;">{{ i18ntext.lngText('report_by') }} :
                      {{ employee.firstname }} {{ employee.lstname }}</span>
                  </div>
                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>
<script>
import axios from "axios";
import Auth from "../../auth/Auth";
import { useCurrentTime } from "../../componentJS/date";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Logo from "../logo.vue"
import Header from "../Header.vue";
import Footer from "../footer.vue";
import print from 'vue3-print-nb';
import UserInfo from "../UserInfo.vue"
import i18n from "../../i18n/i18n";
export default {
  components: { pagination, Header, Footer, Logo, UserInfo },
  directives: { print },
  setup() {
    const { currentTime } = useCurrentTime();
    return { currentTime };
  },
  data() {
    return {
      i18ntext: i18n,
      employee: [],
      company: [],
      allStocks: [],
      form: {
        id: "",
        product_no: "",
        description: "",
        reorder_point: "",
        amc_inventery: "",
        amc_amount: "",
        mos: "",
        stock_uint: "",
        unit_price: "",
        stock_onhand: "",
        stock_aoumt: "",
        currency_code: "",
        countday_exprit: "",
        created_at: "",
        exprit_date: "",
      },
      search: {
        product_no: "",
        description: "",
        mos: "",
        amc_amount: "",
        unit_price: "",
        stock_onhand: "",
        stat_date: "",
        startDate: "",
        endDate: "",
        startEx: "",
        endEx: "",
      },
      countdata: 0,
      stockcount: 0,
      count_expire: 0,
      printData: [],
      stockcount: 0,
      count_expire: 0,
      number_page : 1,
    };
  },
  mounted() {
    if (Auth.check()) {
      if (!Auth.checkPermission(' STOCKONHANDATE_ALL')) {
        this.$router.push('/dashboard');
      }
    }

    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page
      axios.post("api/v1/se/index?page="+this.number_page,this.search)
            .then((res) => {
                    this.$router.push({name: 'stockonhand_date', query: {page : this.number_page}})
                    this.allStocks = res.data.ex
                    this.printData = res.data.print
                    this.count = this.allStocks.data.length
                    this.allStocks.data.forEach(element => {
                      element.created_at = moment(element.created_at).format('YYYY-MM-DD');
                    });
      });
    }else{
      this.getExpire();
    }


    this.countStock();
    this.getExpire1();
    this.getcompany();
    this.employeeName()
    this.getstockalert()
    this.getExpireAlert()
  },
  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
    },
    async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    employeeName() {
      axios.post('/api/v1/employee_name', Auth.user)
        .then(res => {
          this.employee = res.data
        })
    },
    async getcompany() {
      await axios.get("/api/v1/getSetup")
        .then((response) => {
          this.company = response.data;
          this.dateformart = moment(new Date()).format('DD-MM-YYYY');
        });
    },
    formatPrice(value, cur) {
      if (cur == "KHR") cur = "r";
      try {
        var formatter = new Intl.NumberFormat("en-US", {
          style: "currency",
          currency: cur,
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      } catch (error) {
        var formatter = new Intl.NumberFormat("en-US", {
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      }
    },
    getExpire1() {
      axios.get('api/v1/expireAlert')
        .then(res => {
          this.count_expire = res.data.stock.total;
          console.log(this.count_expire)
        })
    },

    getExpire(page = 1) {
      this.$router.push({name: 'stockonhand_date', query: {page : page}})
      axios.post("api/v1/se/index?page=" + page,this.search)
        .then((res) => {
          this.allStocks = res.data.ex
          this.printData = res.data.print
          this.count = this.allStocks.data.length
          this.allStocks.data.forEach(element => {
            element.created_at = moment(element.created_at).format('YYYY-MM-DD');
          });
        })
    },
    changeSearchText(label) {
      if (label == 'product') {
        this.search = {
          product_no: this.search.product_no,
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
      else if (label == 'mos') {
        this.search = {
          product_no: "",
          description: "",
          mos: this.search.mos,
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
      else if (label == 'amc') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: this.search.amc_amount,
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
      else if (label == 'stock_aoumt') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          exprit_date: "",
          stock_aoumt: this.search.stock_aoumt,
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
      else if (label == 'startDate') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: this.search.startDate,
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
      else if (label == 'endDate') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: this.search.startDate,
          endDate: this.search.endDate,
          startEx: "",
          endEx: "",
        }
        this.getExpire()
      }
      else if (label == 'startEx') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: this.search.startEx,
          endEx: "",
        }
      }
      else if (label == 'endEx') {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: this.search.startEx,
          endEx: this.search.endEx,
        }
        this.getExpire()
      }
      else {
        this.search = {
          product_no: "",
          description: "",
          mos: "",
          amc_amount: "",
          stock_aoumt: "",
          stock_onhand: "",
          startDate: "",
          endDate: "",
          startEx: "",
          endEx: "",
        }
      }
    },
    countStock() {
      axios.post("api/v1/stockcheck/checkOptionstock")
        .then((res) => {
          this.countdata = res.data.data.total
        })
    },
    formatdatetime(dateform) {
      try {
        return moment(dateform).format('DD-MM-YYYY');
      } catch (error) {
        return dateform;
      }
    },
  },
};
</script>
